id: Locomotive-CMS-subdomain-takeover
info:
  name: Locomotive
  author: hacktifycs
  severity: high
  description: An adversary can perform a full subdomain-takeover on locomotive CMS.
  reference: unknown
  tags: locomotive,cms,subdomain-takeover

requests:
  - raw:
      - |+
        GET /locomotive/sign_up HTTP/1.1
        Host: {{Hostname}}
        Cache-Control: max-age=0
        Accept: text/html,application/xhtml+xml,application/xml;q=0.9,image/avif,image/webp,image/apng,*/*;q=0.8,application/signed-exchange;v=b3;q=0.9
        Accept-Language: en-US,en;q=0.9
        Connection: close
    
    matchers-condition: and
    matchers:
      - type: word
        words:
          - "Create an account below to start using Locomotive."
        part: body

      - type: status
        status:
          - 200